|  | Home · All Classes · Modules

# QDomNotation Class Reference
[QtXml module]

The QDomNotation class represents an XML notation. More...

Inherits QDomNode.

### Methods

- __init__ (self)
- __init__ (self, QDomNotation)
- QDomNode.NodeType nodeType (self)
- QString publicId (self)
- QString systemId (self)

## Detailed Description

The QDomNotation class represents an XML notation.

A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of processing instruction targets (see section 2.6 of the XML 1.0 specification).

DOM does not support editing notation nodes; they are therefore read-only.

A notation node does not have any parent.

You can retrieve the publicId() and systemId() from a notation node.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Method Documentation

### QDomNotation.__init__ (self)

Constructor.

### QDomNotation.__init__ (self, QDomNotation)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode.NodeType QDomNotation.nodeType (self)

Returns `NotationNode`.

### QString QDomNotation.publicId (self)

Returns the public identifier of this notation.

### QString QDomNotation.systemId (self)

Returns the system identifier of this notation.